// Gmsh project created on Wed Nov 09 20:46:20 2022
SetFactory("OpenCASCADE");
//+
Point(1) = {0, 300, 0, 1.0};
//+
Point(2) = {0, 900, 0, 1.0};
//+
Point(3) = {600, 900, 0, 1.0};
//+
Point(4) = {600, 300, 0, 1.0};
Point(5) = {300, 300, 0, 1.0};
Point(6) = {300, 900, 0, 1.0};//+
Line(1) = {1, 2};
//+
Line(2) = {3, 4};
//+
Circle(3) = {2, 6, 3};
//+
Circle(4) = {4, 5, 1};
//+
Point(7) = {30, 750, 0, 1.0};
//+
Point(8) = {570, 750, 0, 1.0};

Circle(5) = {30, 750, 0, 20, 0, 2*Pi};
Circle(6) = {570, 750, 0, 20, 0, 2*Pi};

//+
Curve Loop(1) = {2, 4, 1, 3};
//+
Curve Loop(2) = {6};
//+
Curve Loop(3) = {5};
//+
Plane Surface(1) = {1, 2, 3};
//+
Physical Curve("pin1", 7) = {5};
//+
Physical Curve("pin2", 8) = {6};
//+
Physical Curve("outside", 9) = {3, 2, 4, 1};
//+
Physical Surface("panel", 10) = {1};
